Unable to Sign Into Anki Hub Add-On

I can download the anki hub add on but it will not allow me to sign in once I have downloaded it.

Sorry to hear you’re having trouble signing in to the AnkiHub add-on after downloading it. Here are some steps you can follow to troubleshoot the issue:

  1. Ensure Latest Version: Make sure you have the most up-to-date version of the AnkiHub add-on installed. Sometimes issues are fixed in newer versions.

  2. Check Internet Connection: Ensure you have a stable internet connection, as signing in requires communicating with the AnkiHub servers.

  3. Correct Credentials: Double-check that you are entering the correct username and password. It’s easy to make a typo!

  4. Restart Anki: Sometimes, simply restarting Anki after installing an add-on can resolve issues.

  5. Check for Errors: Look at the console for any error messages. You can find this by going to Tools -> Add-ons -> View Log.

  6. Visit AnkiHub Website: Try logging into the AnkiHub website directly (https://ankihub.net) to ensure that your account is in good standing and that your credentials are correct.

To get more specific help, it would be helpful to check if others have faced similar issues. Let me search the forum for any relevant information. Please hold on for a moment.

Search

Found 0 results for 'cannot sign in category:AnkiHub'

Search

Found 0 results for 'cannot sign in AnkiHub'

I’m sorry to hear you’re having trouble signing in. This seems to be a unique issue. Let’s try a few common troubleshooting steps:

  1. Ensure You’re Connected to the Internet: A reliable connection is necessary to log in.
  2. Update Anki and the AnkiHub Add-on: Ensure both are up-to-date; sometimes compatibility issues arise with older versions.
  3. Check Your Credentials: Double-check the email and password you are using to log in.
  4. Disable Other Add-ons: Occasionally, other add-ons can conflict with AnkiHub. Try disabling other add-ons and attempt to log in again.

If these steps don’t resolve the issue, please provide more details about any error messages you receive or other abnormal behavior you observe. You can also reach out directly to AnkiHub Support for more specialized help.

Anki 24.06.1 (205068a9) (ao)
Python 3.9.18 Qt 5.14.2 PyQt 5.14.1
Platform: macOS-13.0-x86_64-i386-64bit

Traceback (most recent call last):
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3232, in connect
self._state.set_connection(self._connect())
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3579, in _connect
self._add_conn_hooks(conn)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3589, in _add_conn_hooks
self._set_pragmas(conn)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3604, in _set_pragmas
cursor.execute(‘PRAGMA %s = %s;’ % (pragma, value))
sqlite3.DatabaseError: database disk image is malformed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3290, in execute_sql
cursor = self.cursor()
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3280, in cursor
self.connect()
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3235, in connect
self._initialize_connection(self._state.conn)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3059, in exit
reraise(new_type, new_type(exc_value, *exc_args), traceback)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 192, in reraise
raise value.with_traceback(tb)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3232, in connect
self._state.set_connection(self._connect())
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3579, in _connect
self._add_conn_hooks(conn)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3589, in _add_conn_hooks
self._set_pragmas(conn)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3604, in _set_pragmas
cursor.execute(‘PRAGMA %s = %s;’ % (pragma, value))
peewee.DatabaseError: database disk image is malformed

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “aqt.progress”, line 119, in handler
File “aqt.main”, line 219, in on_window_init
File “aqt.main”, line 318, in setupProfile
File “aqt.main”, line 530, in loadProfile
File “_aqt.hooks”, line 4101, in call
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/entry_point.py”, line 58, in _on_profile_did_open
if not _profile_setup():
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/entry_point.py”, line 88, in _profile_setup
ankihub_db.setup_and_migrate(ankihub_db_path())
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/db/db.py”, line 79, in setup_and_migrate
if self.schema_version() == 0:
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/db/db.py”, line 90, in schema_version
return get_peewee_database().pragma(“user_version”)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3625, in pragma
row = self.execute_sql(sql).fetchone()
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3291, in execute_sql
cursor.execute(sql, params or ())
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3059, in exit
reraise(new_type, new_type(exc_value, *exc_args), traceback)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 192, in reraise
raise value.with_traceback(tb)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3290, in execute_sql
cursor = self.cursor()
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3280, in cursor
self.connect()
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3235, in connect
self._initialize_connection(self._state.conn)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3059, in exit
reraise(new_type, new_type(exc_value, *exc_args), traceback)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 192, in reraise
raise value.with_traceback(tb)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3232, in connect
self._state.set_connection(self._connect())
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3579, in _connect
self._add_conn_hooks(conn)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3589, in _add_conn_hooks
self._set_pragmas(conn)
File “/Users/christiansiegle/Library/Application Support/Anki2/addons21/1322529746/lib/peewee.py”, line 3604, in _set_pragmas
cursor.execute(‘PRAGMA %s = %s;’ % (pragma, value))
peewee.DatabaseError: database disk image is malformed

===Add-ons (active)===
(add-on provided name [Add-on folder, installed at, version, is config changed])
AnkiHub [‘1322529746’, 0, ‘None’, ‘’]

===IDs of active AnkiWeb add-ons===
1322529746

===Add-ons (inactive)===
(add-on provided name [Add-on folder, installed at, version, is config changed])

how to manual repair corrupt anki

Replied to you here: